summaryrefslogtreecommitdiffstats
path: root/source/l/icon-naming-utils
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/icon-naming-utils')
-rwxr-xr-xsource/l/icon-naming-utils/icon-naming-utils.SlackBuild73
-rw-r--r--source/l/icon-naming-utils/icon-naming-utils.pkgconfigdir.diff11
-rw-r--r--source/l/icon-naming-utils/slack-desc19
3 files changed, 103 insertions, 0 deletions
diff --git a/source/l/icon-naming-utils/icon-naming-utils.SlackBuild b/source/l/icon-naming-utils/icon-naming-utils.SlackBuild
new file mode 100755
index 000000000..7db3da907
--- /dev/null
+++ b/source/l/icon-naming-utils/icon-naming-utils.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=0.8.90
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-icon-naming-utils
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf icon-naming-utils-$VERSION
+tar xvf $CWD/icon-naming-utils-$VERSION.tar.gz || exit 1
+cd icon-naming-utils-$VERSION || exit 1
+
+zcat $CWD/icon-naming-utils.pkgconfigdir.diff.gz | patch -p1 || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/icon-naming-utils-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS README TODO \
+ $PKG/usr/doc/icon-naming-utils-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/icon-naming-utils-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/icon-naming-utils/icon-naming-utils.pkgconfigdir.diff b/source/l/icon-naming-utils/icon-naming-utils.pkgconfigdir.diff
new file mode 100644
index 000000000..55075f610
--- /dev/null
+++ b/source/l/icon-naming-utils/icon-naming-utils.pkgconfigdir.diff
@@ -0,0 +1,11 @@
+--- ./Makefile.in.orig 2009-02-20 21:40:00.000000000 -0600
++++ ./Makefile.in 2009-03-05 16:05:46.000000000 -0600
+@@ -149,7 +149,7 @@
+ pkgconfig_in_files = \
+ icon-naming-utils.pc.in
+
+-pkgconfigdir = $(datadir)/pkgconfig
++pkgconfigdir = $(libdir)/pkgconfig
+ pkgconfig_DATA = $(pkgconfig_in_files:.pc.in=.pc)
+ dtddir = $(datadir)/dtds
+ dtd_DATA = legacy-icon-mapping.dtd
diff --git a/source/l/icon-naming-utils/slack-desc b/source/l/icon-naming-utils/slack-desc
new file mode 100644
index 000000000..c4fb3cb2c
--- /dev/null
+++ b/source/l/icon-naming-utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------|
+icon-naming-utils: icon-naming-utils (generate icon files for your DE)
+icon-naming-utils:
+icon-naming-utils: It is a script for maintaining backwards compatibility
+icon-naming-utils: with current desktop icon themes, while migrating to
+icon-naming-utils: the names specified in the Icon Naming Specification.
+icon-naming-utils:
+icon-naming-utils: Homepage: http://tango.freedesktop.org
+icon-naming-utils:
+icon-naming-utils:
+icon-naming-utils:
+icon-naming-utils: